package cn.teammodel.model.dto.ai;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class ChatCompletionReqDto {
    private String sessionId;
    /**
    * 预设的会话 id
    */
    @ApiModelProperty("会话id，没有则为空")
    private String appId;
    @NotBlank(message = "请输入消息内容")
    private String text;
}