package cn.teammodel.model.vo.appraise;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

/**
 * @author winter
 * @create 2023-12-06 17:43
 */
@Data
public class RecordVo {
    private String recordId;  // 文档 id
    private String recordNodeId;  // 文档中的评价记录 id
    private String targetName; // 评价对象的名字
    private String avatar;
    private String className;
    private String classId;
    private String appraiseName;
    private String targetId; // 评价对象 id
    private String targetType; // 评价对象类型
    private String creatorId;
    private String creator;
    private String[] path;
    private Long createTime;
    @JsonProperty("isPraise")
    private boolean isPraise;
    private String device;
}
