package cn.teammodel.model.dto.Appraise;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author winter
 * @create 2023-11-28 16:16
 */
@Data
public class AppraiseVoteDto {
    @NotNull
    @ApiModelProperty(value = "评价对象 Id")
    private String targetId;

    @NotNull
    @ApiModelProperty(value = "评价对象类型:", allowableValues = "student ,class")
    private String targetType;

    @ApiModelProperty(value = "评分是否传播到班级下的所有学生(评价 CLASS 时生效)")
    private boolean spread;

    @ApiModelProperty(value = "是否推送给家长(评价 STUDENT 时生效)")
    private boolean pushParent;
    /**
     * 可以当作唯一 id
     */
    @NotNull
    @ApiModelProperty(value = "评价项唯一 id", required = true)
    private String appraiseId;
    @ApiModelProperty(value = "评价来源")
    private String device;
}
