package cn.teammodel.model.dto.admin.teacher;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class TeacherDto {
    @ApiModelProperty("学校编码")
    public String code;
    @ApiModelProperty("学校编码")
    public String school_code;
    @ApiModelProperty("TmdId")
    public String tmdId;
    public Long startTime;
    public Long endTime;
    @ApiModelProperty("学段Id")
    public String periodId;
    public Integer year;
    @ApiModelProperty("年级")
    public String grade;
    public String gradeName;
    @ApiModelProperty("科目信息")
    public String subjectId;
    public String semesterId;
    public List<String> duration = new ArrayList<>();
    public List<String> school_shortcode = new ArrayList<>();
}
